Bug 1695723 - [NMCI] ipv4_dhcp_client_id_default_rhel7 test fail
Summary: [NMCI] ipv4_dhcp_client_id_default_rhel7 test fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Francesco Giudici
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-03 16:56 UTC by Vladimir Benes
Modified: 2019-08-06 13:17 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-1.18.0-0.4.20190408git43d9187c14.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:16:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2302 None None None 2019-08-06 13:17:03 UTC

Comment 3 Francesco Giudici 2019-04-03 17:18:40 UTC
In the past, the dhcp client id of NetworkManager *internal* dhcp client was managed by the imported systemd code.
So, the dhcp client id for the *internal* dhcp defaulted to RFC 4361 (IAID + DUID): systemd moreover uses a DUID-EN (duid based on an enterprise number), with the enterprise number assigned by IANA to systemd (00:02:00:00:ab:11).

Now we have added DUID management in NM and we have dropped defaulting to systemd DUID (so a default DUID looks different from the past).
Moreover, we defaulted the dhcp-client-id to the mac address of the interface, following what we used to do with the NM default dhcp client: dhclient.

Not sure we want to go back to defaulting to a systemd specific DUID there, as looks wrong to me. I would say "no".
We can discuss instead if we want to default the dhcp-client-id for internal dhcp to RFC 4361 format. I would have a preference for the "no" here too, but don't care that much.

Consider also that internal dhcp on RHEL-7 is NOT the default and that the default one (dhclient) uses MAC addresses.

Please, share your opinions.

Comment 4 Thomas Haller 2019-04-05 10:34:13 UTC
> Please, share your opinions.

RHEL-7 must stick to the old default, requiring a downstream patch to revert the change.

Comment 5 Vladimir Benes 2019-04-05 12:01:01 UTC
(In reply to Thomas Haller from comment #4)
> > Please, share your opinions.
> 
> RHEL-7 must stick to the old default, requiring a downstream patch to revert
> the change.

I strongly agree here. Behavior changes are often reported by customers back shortly after we do them.

Comment 6 Francesco Giudici 2019-04-09 13:22:04 UTC
Pushed a downstream patch to RHEL-7.7 NetworkManager repo to preserve the dhcp-client-id default for internal dhcp client.

Comment 8 Vladimir Benes 2019-04-11 11:06:43 UTC
working rhel7ish again

Comment 10 errata-xmlrpc 2019-08-06 13:16:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2302


Note You need to log in before you can comment on or make changes to this bug.